/*
 *  ngtk/man_src/ngtk_bars.c
 *
 *  Copyright (C) 1998, 1999 Gabriel Fort <gabx@tfz.net>
 *
 */

/*----------------------------------------------------------------------------

    This library is free software; you can redistribute it and/or
    modify it under the terms of the GNU Library General Public
    License as published by the Free Software Foundation; either
    version 2 of the License, or (at your option) any later version.

    This library is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
    Library General Public License for more details.

    You should have received a copy of the GNU Library General Public
    License along with this library; if not, write to the 
    Free Software Foundation, Inc., 59 Temple Place - Suite 330, 
    Boston, MA  02111-1307  USA.

----------------------------------------------------------------------------*/
#include <ngtk/ngtk.h>

/* builds and prints the footbar on the bottom of the display.
 * This function gets the entries registered by ngtk_register_key(3),
 * and computes them to print in the footbar, on the bottom of the display.
 *
 */
void ngtk_footbar(int cpair1, /* color pair of the entries's aliases */
				  int attr1,  /* attributes of the entries's aliases */
				  int cpair2, /* color pair of the entries's descriptions */
				  int attr2   /* attributes of the entries's descriptions */);

/* prints the string msg in the topbar, on top of the display
 * This function puts the string msg on top of the display,
 * along with the topbar.
 * If init is equal to 1, a new topbar window is created, else the
 * static WINDOW *top_bar is pulled and written to.
 */
void ngtk_topbar(int cpair, /* color pair for displaying msg */
				 int attr,  /* attributes for displaying msg */
				 char *msg,	/* message to print */
				 int init   /* if 1, make new window, else use the already created one */);

